Replications
All operations require authentication.
List replication flowsBeta
Returns the replication flows of the service, with their source and target integrations and whether they are enabled.
Path parameters
Project ID
Service ID
Headers
Pagination cursor
Pagination size
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Whether heartbeats are emitted on the replication flow
Whether this replication flow is enabled
Unique identifier of the replication flow
Replication policy class used for this replication flow
org.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicyIdentifier of the source integration
Whether consumer group offsets are synced
Sync interval in seconds
Identifier of the target integration
List of topic patterns to exclude from replication
List of topic patterns to include in replication
Date of the last update to the resource
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaMirrorMaker/ {serviceId}/ replication \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z" }]
Get a replication flowBeta
Returns the source and target integrations of the flow, its topic patterns and its sync settings.
Path parameters
Project ID
Replication ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Whether heartbeats are emitted on the replication flow
Whether this replication flow is enabled
Unique identifier of the replication flow
Replication policy class used for this replication flow
org.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicyIdentifier of the source integration
Whether consumer group offsets are synced
Sync interval in seconds
Identifier of the target integration
List of topic patterns to exclude from replication
List of topic patterns to include in replication
Date of the last update to the resource
Example uses projectId = string, replicationId = 00000000-0000-0000-0000-000000000000, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaMirrorMaker/ {serviceId}/ replication/ {replicationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z"}
Create a replication flowBeta
Creates a replication flow from a source integration to a target integration. Topics matching the include patterns are replicated, except those matching the exclude patterns.
Path parameters
Project ID
Service ID
Request body (required)
Whether heartbeats are emitted on the replication flow
Whether this replication flow is enabled
Replication policy class used for this replication flow
org.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicyIdentifier of the source integration
Whether to sync consumer group offsets
Sync interval in seconds
Identifier of the target integration
Topic patterns to exclude from replication
Topic patterns to include in replication
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Whether heartbeats are emitted on the replication flow
Whether this replication flow is enabled
Unique identifier of the replication flow
Replication policy class used for this replication flow
org.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicyIdentifier of the source integration
Whether consumer group offsets are synced
Sync interval in seconds
Identifier of the target integration
List of topic patterns to exclude from replication
List of topic patterns to include in replication
Date of the last update to the resource
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaMirrorMaker/ {serviceId}/ replication \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z"}
Delete a replication flowBeta
Deletes the replication flow and stops the replication.
Path parameters
Project ID
Replication ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Whether heartbeats are emitted on the replication flow
Whether this replication flow is enabled
Unique identifier of the replication flow
Replication policy class used for this replication flow
org.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicyIdentifier of the source integration
Whether consumer group offsets are synced
Sync interval in seconds
Identifier of the target integration
List of topic patterns to exclude from replication
List of topic patterns to include in replication
Date of the last update to the resource
Example uses projectId = string, replicationId = 00000000-0000-0000-0000-000000000000, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaMirrorMaker/ {serviceId}/ replication/ {replicationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z"}
Update a replication flowBeta
Updates the topic patterns, sync settings and state of the flow. Every field is required. The source and target integrations cannot be changed.
Path parameters
Project ID
Replication ID
Service ID
Request body (required)
Whether heartbeats are emitted on the replication flow
Whether this replication flow is enabled
Replication policy class used for this replication flow
org.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicyWhether to sync consumer group offsets
Sync interval in seconds
Topic patterns to exclude
Topic patterns to include
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Whether heartbeats are emitted on the replication flow
Whether this replication flow is enabled
Unique identifier of the replication flow
Replication policy class used for this replication flow
org.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicyIdentifier of the source integration
Whether consumer group offsets are synced
Sync interval in seconds
Identifier of the target integration
List of topic patterns to exclude from replication
List of topic patterns to include in replication
Date of the last update to the resource
Example uses projectId = string, replicationId = 00000000-0000-0000-0000-000000000000, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaMirrorMaker/ {serviceId}/ replication/ {replicationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z"}
Partially update a replication flowBeta
Partially updates the topic patterns, sync settings or state of the flow. The source and target integrations cannot be changed.
Path parameters
Project ID
Replication ID
Service ID
Request body (required)
Whether heartbeats are emitted on the replication flow
Whether this replication flow is enabled
Replication policy class used for this replication flow
org.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicyWhether to sync consumer group offsets
Sync interval in seconds
Topic patterns to exclude
Topic patterns to include
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Whether heartbeats are emitted on the replication flow
Whether this replication flow is enabled
Unique identifier of the replication flow
Replication policy class used for this replication flow
org.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicyIdentifier of the source integration
Whether consumer group offsets are synced
Sync interval in seconds
Identifier of the target integration
List of topic patterns to exclude from replication
List of topic patterns to include in replication
Date of the last update to the resource
Example uses projectId = string, replicationId = 00000000-0000-0000-0000-000000000000, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaMirrorMaker/ {serviceId}/ replication/ {replicationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z"}